% GNM_abtast_ini.m
% Kap. 10.5.1 und 10.5.2
% Initialisierungsdatei fr GNM_abast.mdl

% Parameter der Gleichstromnebenschlumaschine:
RA		= 0.25;					% Widerstand [Ohm]
LA		= 0.004;				% Induktivitaet [H]
NA		= 60;					% Windungszahl =!= sqrt(LA/LE)*NE
psi	= 0.04;			   	        % Flu [Vs]

J		= 0.012;				% Traegheitsmoment [kg m^2]
CM    = 2*NA/pi;
CE		= (2*NA/pi)*2*pi;		% Maschinenkonstante
Mw		= 10;      				% Widerstandsmoment [Nm]

Imax	= 20;                   % Max. Ankerstrom [A]
Umax	= 200;                  % Zwischenkreisspannung [V]

% Stellglied (PWM)
Fpwm	= 5000;					% Frequenz PWM [Hz]
TstrA	= 1 / Fpwm / 2;		    % Stromrichter als PT1

% Stromregler
ViA		= LA/(2*TstrA);	     	% Stromregler Verstaerkung
TiA		= LA/RA;				% Stromregler Zeitkonstante

% Drehzahlregler
N_soll	= 1000 / 60;	           % Solldrehzahl [rad/s]

VnA		= 2*pi*J/(4*TstrA*CM*psi); % Drehzahlregler Verstaerkung
TnA		= 8*TstrA;				   % Drehzahlregler Zeitkonstante

% Stromregelung zeitdiskret
TiA		= LA/RA;				   % Zeitkonstante Ankerkreis

Tsi		  = 0.0008;				   % Abtastzeit [s]

ViAd	    = LA/(2*Tsi/2);			    % Stromregler Verstaerkung
i_regler  = tf (ViAd*[TiA 1], [TiA 0]);	% Erzeugt kontinuierliche -Ftn.
i_diskret = c2d (i_regler, Tsi, 'zoh');	% Umwandeln in Abtastsystem
[Bd, Ad]  = tfdata (i_diskret, 'v');	% Ausgabe Zhler-, Nennervektor

% Drehzahlregelung zeitdiskret
Tsn		  = 0.0008;				      	% Abtastzeit [s]

VnAd	  = 2*pi*J/(4*Tsn/2*CM*psi);   	% Drehzahlregler Verstaerkung
TnAd	  = 8*Tsn/2;				    % Drehzahlregler Zeitkonstante
